/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
****************************************************************************/

/* global prototypes *******************************************************/
int write_db_file(db_def db);
db_def xplab_read_db(char *db_name, int renew, int verbose, int *serious_error);
db_def xplab_read_db_file(const char *db_name, FILE *db_file, char **version_ctrl, 
			  int verbose);
void xplab_write_recognition(char *db_name, char *tps_id, 
			     char *image_filename, int mborder, int nborder, 
			     int mweight, int thold, rb_lst rblst, 
			     cand_lst hit_lst, char *options);
int xplab_read_recognition(char *rfile, rb_lst *rblst, char **db_name, 
		           char **tps_id, char **filename, int *mborder, 
		           int *nborder, int *mweight, int *thold, 
			   cand_lst *hit_lst, char **options, int verbose);
int xplab_read_recognition_file(const char *rfile, FILE *file, rb_lst *rblst, 
				char **db_name, char **ident, 
				char **filename, int *mborder, int *nborder, 
				int *mweight, int *thold, cand_lst *hit_lst, 
				char **options, int verbose);
FILE *xplab_open_file(const char *filename, char *oflag);
int xplab_close_file(FILE *file, const char *filename);
void gen_back_refs(cls_lst cl);
void back_up_file(char *fname);
/***************************************************************************/

