/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes *******************************************************/
void xgen_ascii_text(cls_lst clst, cand_lst hlist, int_lst mst, 
	 	     char *filename, int noise_border, inline_def in_line, 
		     area_def pic_size, INLINE_METHOD forced_line_method, 
		     int_lst *docu_lines, run_def *crun, GtkWidget *ilog,
		     int renew);
int adjust_to_phase(double_lst *slst);
signal_def signal_transformation(double_lst ilst, signal_def sdef);
void fill_with_rectangle(double_lst slst, int offset, period_def period, 
			 double height, int repetition);
int assert_polar_signal(double_lst dlst, double *lst_min, double *lst_max);
int signal_features(double_lst ilst, int *high_max, int *low_max, 
                    int *high_min, int *low_min, int *high_sum, 
                    int *low_sum, int_lst *hist_low, int_lst *hist_high, 
		    double *dutycycle);
int fill_gaps(double_lst ilst, int fill);
int crosscorrelation_tf(char* filename, double_lst signal, 
			signal_def tf_type, period_def period, 
			ival_def *range, char *subject);
pic_dbl period_image(double_lst signal, signal_def tf_type,
		     period_def phase_start, period_def phase_end, 
		     double height, run_def *crun);
pic_dbl phase_image(double_lst signal, signal_def tf_type, int period_len, 
		    double height, run_def *crun);
hst_def period_max(pic_dbl cpic, period_def start_phase);
int period_estimation(char *filename, double_lst ilst, int *lag_phase, 
		      signal_def signal_type, signal_def test_function_type,
		      period_def *per, run_def *crun);
void sort_nb(cand_lst hlist, int_lst nr);
int_lstm method_line_overlapping(cand_lst hlist, cls_lst clst);

/***************************************************************************/

