/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes ********************************************************/
char *print_settings(prog_ctrl ctrl, char *header, char *db_name);
img_typ setup_input_image(db_def idb, char *filename, cfg_def cfg, 
			  rb_lst *rblst, hst_def *grey_hist, 
			  hst_def *th_hist, img_typ *porig, img_typ *ses);
int create_rb_list(rb_lst *rblst, pic_def document);
void rb_sort(rb_lst *rbl);
GtkWidget *pentry(GtkEntry **entry, gboolean entry_is_editable,
		  GtkSignalFunc entry_cb, gchar *default_entry_txt,
		  guint16 entry_max_length, guint box_len,
		  GtkSignalFunc button1_cb, gchar *button1_label,
		  GtkSignalFunc button2_cb, gchar *button2_label,
		  GtkSignalFunc button3_cb, gchar *button3_label,
		  gpointer gp);
void setting_key(GtkWidget *cbox, char *key, char *rem, int end);
void setting_integer_limits(GtkWidget *cbox, int def, int min, int max);
void stats_window_setting(GtkWidget *cbox, char *key, char *rem,
			  stats_prefs *sentr);
void stats_icon_contrast_setting(GtkWidget *cbox, char *key, char *rem,
				 stats_prefs *sentr);
int check_entry_limits_integer(GtkEntry *entry, int min, int max, int def);
void update_statistic_entry(stats_prefs sentr);
void apply_statistic_entry(stats_prefs *sentr);
void stats_revert_all(stats_prefs *sentr);
/***************************************************************************/
