/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* defines *****************************************************************/

#define TSTLEN (MAXCHAR<<1)
#define EMPTY_STR  "(empty)"

/* global prototypes *******************************************************/
void Print_cand_lst(char *prefix, char *suffix, cand_lst cl, int on);
void Print_cand_lst_indexed(char *prefix, char *suffix, cand_lst cl, 
			    int_lst ilst, int on);
void Print_cand_def(char *prefix, char *suffix, cand_def kr, int on);
void Print_cv_def_i(char *prefix, char *suffix, cv_def_i kd, int on);
void Print_sector_def(char *prefix, char *suffix, sector_def sc, int on);
void Print_area_def(char *prefix, char *suffix, area_def ar, int on);
void Print_sign(char *prefix, char *suffix, cand_lst kl, cls_def *cls, 
		int on);
void Print_sign_indexed(char *prefix, char *suffix, cand_lst kl, int *idx, 
			cls_def *cls, int on);
void Print_sign_numbered(char *prefix, char *suffix, cand_lst kl, 
			 int_lst ilst, cls_def *cls, int on);
void Print_knl(char *prefix, char *suffix, cand_lst kl, int on);
void Print_nbr(char *prefix, char *suffix, cand_lst kl, int on);
void Print_cv(char *prefix, char *suffix, cand_lst kl, int on);
void Print_col_def(char *prefix, char *suffix, col_def cd, int on);
void Test_sector(char *prefix, char *suffix, sector_def sc, int on);
void Print_int_lst(char *prefix, char *suffix, int_lst ilst, int on);
void Print_sector_lst(char *prefix, char *suffix, sector_lst sl, int width, 
		      int on);
/***************************************************************************/
